package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlCommandLink;

import org.seasar.jsf.template.impl.AbstractUICommandFactory;
import org.w3c.dom.Node;

/**
 * @author higa
 *  
 */
public class HtmlCommandLinkFactory extends AbstractUICommandFactory {

	public HtmlCommandLinkFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		HtmlCommandLink component = new HtmlCommandLink();
		setProperties(component);
		return component;
	}
}